// WizardPageTestView.cpp : implementation of the CWizardPageTestView class
//

#include "stdafx.h"
#include "WizardPageTest.h"

#include "WizardPageTestDoc.h"
#include "WizardPageTestView.h"

#include "YourPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWizardPageTestView

IMPLEMENT_DYNCREATE(CWizardPageTestView, CView)

BEGIN_MESSAGE_MAP(CWizardPageTestView, CView)
	//{{AFX_MSG_MAP(CWizardPageTestView)
	ON_COMMAND(ID_TEST, OnTest)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWizardPageTestView construction/destruction

CWizardPageTestView::CWizardPageTestView()
{
	// TODO: add construction code here

}

CWizardPageTestView::~CWizardPageTestView()
{
}

BOOL CWizardPageTestView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CWizardPageTestView drawing

void CWizardPageTestView::OnDraw(CDC* pDC)
{
	CWizardPageTestDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CWizardPageTestView printing

BOOL CWizardPageTestView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CWizardPageTestView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CWizardPageTestView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CWizardPageTestView diagnostics

#ifdef _DEBUG
void CWizardPageTestView::AssertValid() const
{
	CView::AssertValid();
}

void CWizardPageTestView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CWizardPageTestDoc* CWizardPageTestView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CWizardPageTestDoc)));
	return (CWizardPageTestDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CWizardPageTestView message handlers

void CWizardPageTestView::OnTest() 
{
	//Create a page
	CYourPage pageFirst( CWizardPage::First );
	CYourPage pageSecond( CWizardPage::Middle );
	CYourPage pageThird( CWizardPage::Middle );
	CYourPage pageFourth( CWizardPage::Last );

	CPropertySheet dlg;

	dlg.AddPage( &pageFirst );
	dlg.AddPage( &pageSecond );
	dlg.AddPage( &pageThird );
	dlg.AddPage( &pageFourth );

	dlg.SetWizardMode();
	dlg.DoModal();

	//now for the one page wizard ;-)
	CYourPage pageOneAndOnly( CWizardPage::Only );
	CPropertySheet dlgOnePageOnly;
	dlgOnePageOnly.AddPage( &pageOneAndOnly );
	dlgOnePageOnly.SetWizardMode();
	dlgOnePageOnly.DoModal();

}
